Erro na apt-get

1. Erro na apt-get

Eduardo Bueno de Oliveira
predator

(usa Debian)

Enviado em 13/08/2008 - 09:25h

Olá...

depois de fazer um aptitude dist-upgrade no debian lenny ele me retornou essa msg:

"files list file for package `libc6' is missing final newline"
começou nesse pacote: libboost-graph1.34.1_1.34.1-11_i386.deb

pensei que era erro só no pacote que ele estava atualizando, mas agora qualquer pacote que tento instalar pelo apt-get me aparece erro, até direto pelo dpkg.
Não consigo instalar nada!

como posso resolver isso?




  


2. Re: Erro na apt-get

Genesco Sousa
gesousa

(usa Ubuntu)

Enviado em 13/08/2008 - 09:34h

Da uma olhada no /etc/apt/sources.list e veja se ainda está indicando os repositórios do etch... se tiver troque pelo dos lenny e digita depois o sudo apt-get update


3. Re: Erro na apt-get

Leonardo Souza Ferreira
tempestis

(usa Debian)

Enviado em 13/08/2008 - 09:36h

tentou um apt-get update?
tenta limpar com apt-get clean


4. Re: Erro na apt-get

Fábio Berbert de Paula
fabio

(usa Debian)

Enviado em 13/08/2008 - 09:38h

1. Edite o arquivo /var/lib/dpkg/status, procure pelo nome do pacote que está dando erro e remova as linhas que falam sobre ele.

2. mv /var/lib/dpkg/info /var/lib/dpkg/info_old
3. mkdir /var/lib/dpkg/info
4. apt-get update, apt-get -f install
5. mv /var/lib/dpkg/info/* /var/lib/dpkg/info_old/
6. rm -f /var/lib/dpkg/info
7. mv -f /var/lib/dpkg/info_old /var/lib/dpkg/info

Fonte: http://ubuntuforums.org/showthread.php?t=214805

Um abraço.


5. Re: Erro na apt-get

Eduardo Bueno de Oliveira
predator

(usa Debian)

Enviado em 13/08/2008 - 10:15h

Fabio

fiz da forma que voce me passou, e só consegui instalar um novo pacote pelo apt-get quando o diretório /var/lib/dpkg/info/ estava vazio, depois que eu voltei o "info" anterior continuou dando erro, sobre alterar o status dos pacotes, o problema é que não é somente um, são todos o que tento instalar da o erro "files list file for package `libc6' is missing final newline"

valeu


6. Valeu

Daniel Fernandes
volcom

(usa Debian)

Enviado em 03/10/2008 - 16:11h

Eu estava com problema pra remover uma lib "libtiff4"...

Como disse, ESTAVA!

Valeu...


7. Re: Erro na apt-get

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 03/10/2008 - 17:37h

não tenho tanta prática com Debian,minhas distros não são Debian,
mas acho que pode deletar o conteúdo do /var/lib/dpkg/info/ não?, a info.


8. Re: Erro na apt-get

Ricardo Libanio
riesdra

(usa Debian)

Enviado em 04/10/2008 - 09:49h

olha você poderia tentar dar um
aptitude update
aptitude -f install
aptitude safe-upgrade
aptitude full-upgrade
poste ai os resultados depois.



9. Erro

rhock
rhock

(usa Ubuntu)

Enviado em 24/01/2012 - 08:39h

Estou com o seguinte erro quando tentei executar os passos acima:

"dpkg: error processing bridge-utils (--remove):
cannot remove `/.': Invalid argument
Errors were encountered while processing:
bridge-utils
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Reading package lists... Done "


Estou com erro no apt-get, não consigo instalar nada.


10. Teste

André Canhadas
andrecanhadas

(usa Debian)

Enviado em 24/01/2012 - 17:47h

Provavelmente deve ser porque vc ta usando repositorios de versões diferentes.

Volte para o seu sources.list para o lenny

Tenta:
sudo aptitude clean
sudo mv /var/lib/apt/lists/lock /var/lib/apt/lists/lock.renomeado

sudo apt-get install -f

sudo dpkg --configure -a




Se que atualizar sua distro vai precisar desse source.list: (Squeeze)

deb http://ftp.br.debian.org/debian/ squeeze main non-free contrib
deb-src http://ftp.br.debian.org/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates non-free main contrib
deb-src http://ftp.br.debian.org/debian/ squeeze/updates main

# squeeze-updates, previously known as 'volatile'
deb http://ftp.br.debian.org/debian/ squeeze-updates main
deb-src http://ftp.br.debian.org/debian/ squeeze-updates main

# Multimedia
deb http://debian-multimedia.org/ squeeze main
deb-src http://www.debian-multimedia.org squeeze main


aptitude update && aptitude dist-upgrade



11. Re: Erro na apt-get

Eliel Ferreira da Silva Lage
eliellage

(usa Debian)

Enviado em 16/07/2012 - 18:22h

fiz esses procedimento e não deu.







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts